Index: palm/trunk/SOURCE/cpulog_mod.f90
===================================================================
--- palm/trunk/SOURCE/cpulog_mod.f90	(revision 3044)
+++ palm/trunk/SOURCE/cpulog_mod.f90	(revision 3045)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Error messages revised
+! 
+! 3028 2018-05-23 10:27:23Z knoop
 ! renamed d3par to runtime_parameters
 ! 
@@ -222,6 +225,6 @@
           log_event%place = place
        ELSEIF ( log_event%place /= place )  THEN
-          WRITE( message_string, * ) 'wrong argument & expected: ',            &
-                            TRIM(log_event%place), '  given: ',  TRIM( place )
+          WRITE( message_string, * ) 'wrong argument expected: ',              &
+                            TRIM(log_event%place), ' given: ',  TRIM( place )
           CALL message( 'cpu_log', 'PA0174', 1, 2, 0, 6, 0 )
        ENDIF
@@ -259,5 +262,5 @@
           IF ( ( mtime - log_event%mtime ) < 0.0  .AND.  first )  THEN
              WRITE( message_string, * ) 'negative time interval occured',      &
-                         ' &PE',myid,' L=PAUSE "',TRIM(log_event%place),       &
+                         ' PE',myid,' L=PAUSE "',TRIM(log_event%place),        &
                          '" new=', mtime,' last=',log_event%mtime
              CALL message( 'cpu_log', 'PA0176', 0, 1, -1, 6, 0 )
@@ -270,5 +273,5 @@
                first )  THEN
              WRITE( message_string, * ) 'negative time interval occured',      &
-                       ' &PE',myid,' L=STOP "',TRIM(log_event%place),'" new=', &
+                       ' PE',myid,' L=STOP "',TRIM(log_event%place),'" new=',  &
                        mtime,' last=',log_event%mtime,' isum=',log_event%isum
              CALL message( 'cpu_log', 'PA0177', 0, 1, -1, 6, 0 )
@@ -280,5 +283,5 @@
           IF ( log_event%sum < 0.0  .AND.  first )  THEN
              WRITE( message_string, * ) 'negative time interval occured',      &
-                       ' &PE',myid,' L=STOP "',TRIM(log_event%place),'" sum=', &
+                       ' PE',myid,' L=STOP "',TRIM(log_event%place),'" sum=',  &
                        log_event%sum,' mtime=',log_event%mtime
              CALL message( 'cpu_log', 'PA0178', 0, 1, -1, 6, 0 )
Index: palm/trunk/SOURCE/data_output_2d.f90
===================================================================
--- palm/trunk/SOURCE/data_output_2d.f90	(revision 3044)
+++ palm/trunk/SOURCE/data_output_2d.f90	(revision 3045)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Error messages revised
+! 
+! 3014 2018-05-09 08:42:38Z maronga
 ! Added nzb_do and nzt_do for some modules for 2d output
 ! 
@@ -462,5 +465,5 @@
             ntdim_2d_xy(av) )  THEN
           WRITE ( message_string, * ) 'Output of xy cross-sections is not ',   &
-                          'given at t=', simulated_time, '&because the',       & 
+                          'given at t=', simulated_time, ' because the',       & 
                           ' maximum number of output time levels is exceeded.'
           CALL message( 'data_output_2d', 'PA0384', 0, 1, 0, 6, 0 )
@@ -471,5 +474,5 @@
             ntdim_2d_xz(av) )  THEN
           WRITE ( message_string, * ) 'Output of xz cross-sections is not ',   &
-                          'given at t=', simulated_time, '&because the',       & 
+                          'given at t=', simulated_time, ' because the',       & 
                           ' maximum number of output time levels is exceeded.'
           CALL message( 'data_output_2d', 'PA0385', 0, 1, 0, 6, 0 )
@@ -480,5 +483,5 @@
             ntdim_2d_yz(av) )  THEN
           WRITE ( message_string, * ) 'Output of yz cross-sections is not ',   &
-                          'given at t=', simulated_time, '&because the',       & 
+                          'given at t=', simulated_time, ' because the',       & 
                           ' maximum number of output time levels is exceeded.'
           CALL message( 'data_output_2d', 'PA0386', 0, 1, 0, 6, 0 )
Index: palm/trunk/SOURCE/data_output_3d.f90
===================================================================
--- palm/trunk/SOURCE/data_output_3d.f90	(revision 3044)
+++ palm/trunk/SOURCE/data_output_3d.f90	(revision 3045)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Error message revised
+! 
+! 3014 2018-05-09 08:42:38Z maronga
 ! Added nzb_do and nzt_do for some modules for 3d output
 ! 
@@ -309,5 +312,5 @@
        IF ( do3d_time_count(av) + 1 > ntdim_3d(av) )  THEN
           WRITE ( message_string, * ) 'Output of 3d data is not given at t=',  &
-                                      simulated_time, '&because the maximum ', & 
+                                      simulated_time, ' because the maximum ', & 
                                       'number of output time levels is ',      &
                                       'exceeded.'
Index: palm/trunk/SOURCE/data_output_dvrp.f90
===================================================================
--- palm/trunk/SOURCE/data_output_dvrp.f90	(revision 3044)
+++ palm/trunk/SOURCE/data_output_dvrp.f90	(revision 3045)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Code adjusted according to PALM coding standards
+! 
+! 2718 2018-01-02 08:49:38Z maronga
 ! Corrected "Former revisions" section
 ! 
@@ -255,5 +258,5 @@
 !--    Select the plot mode (in case of isosurface or slicer only if user has
 !--    defined a variable which shall be plotted; otherwise do nothing)
-       IF ( ( mode_dvrp(m)(1:10) == 'isosurface'  .OR.                     &
+       IF ( ( mode_dvrp(m)(1:10) == 'isosurface'  .OR.                         &
                   mode_dvrp(m)(1:6)  == 'slicer'           )                   &
                   .AND.  output_variable /= ' ' )  THEN
@@ -362,5 +365,5 @@
                    ELSE                    
                       message_string = 'if humidity = '    //                  & 
-                            '.FALSE. output of ' // TRIM( output_variable ) //   &
+                            '.FALSE. output of ' // TRIM( output_variable ) // &
                             'is not provided' 
                       CALL message( 'data_output_dvrp', 'PA0183',&
@@ -378,5 +381,5 @@
                       ENDDO
                    ELSE                     
-                      message_string = 'if cloud_physics = .FALSE. and '       //    & 
+                      message_string = 'if cloud_physics = .FALSE. and ' //    & 
                                   'cloud_droplets = .FALSE. '
                                   'output of ' // TRIM( output_variable) //    &
@@ -561,5 +564,5 @@
           CALL cpu_log( log_point_s(31), 'dvrp_pathlines', 'start' )
 
-          CALL DVRP_DATA( m-1, local_pfi, 4, nx_dvrp, ny_dvrp, nz_dvrp, &
+          CALL DVRP_DATA( m-1, local_pfi, 4, nx_dvrp, ny_dvrp, nz_dvrp,        &
                           cyclic_dvrp, cyclic_dvrp, cyclic_dvrp )
           CALL DVRP_VISUALIZE( m-1, 20, dvrp_filecount )
Index: palm/trunk/SOURCE/data_output_mask.f90
===================================================================
--- palm/trunk/SOURCE/data_output_mask.f90	(revision 3044)
+++ palm/trunk/SOURCE/data_output_mask.f90	(revision 3045)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Error messages revised
+! 
+! 3030 2018-05-23 14:37:00Z raasch
 ! variable if renamed ivar
 ! 
@@ -528,5 +531,5 @@
 
              IF ( .NOT. found )  THEN
-                WRITE ( message_string, * ) 'no output available for: ', &
+                WRITE ( message_string, * ) 'no masked output available for: ',&
                                             TRIM( domask(mid,av,ivar) )
                 CALL message( 'data_output_mask', 'PA0327', 0, 0, 0, 6, 0 )
Index: palm/trunk/SOURCE/fft_xy_mod.f90
===================================================================
--- palm/trunk/SOURCE/fft_xy_mod.f90	(revision 3044)
+++ palm/trunk/SOURCE/fft_xy_mod.f90	(revision 3045)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Error messages revised
+! 
+! 2718 2018-01-02 08:49:38Z maronga
 ! Corrected "Former revisions" section
 ! 
@@ -723,14 +726,5 @@
           ENDIF
 
-#else
-          message_string = 'no system-specific fft-call available'
-          CALL message( 'fft_x', 'PA0188', 1, 2, 0, 6, 0 )
-#endif
-
-       ELSE
-
-          message_string = 'fft method "' // TRIM( fft_method) // &
-                           '" not available'
-          CALL message( 'fft_x', 'PA0189', 1, 2, 0, 6, 0 )
+#endif
 
        ENDIF
@@ -945,12 +939,5 @@
 
           ENDIF
-#else
-          message_string = 'no system-specific fft-call available'
-          CALL message( 'fft_x_1d', 'PA0188', 1, 2, 0, 6, 0 )
-#endif
-       ELSE
-          message_string = 'fft method "' // TRIM( fft_method) // &
-                           '" not available'
-          CALL message( 'fft_x_1d', 'PA0189', 1, 2, 0, 6, 0 )
+#endif
 
        ENDIF
@@ -1288,14 +1275,5 @@
 
           ENDIF
-#else
-          message_string = 'no system-specific fft-call available'
-          CALL message( 'fft_y', 'PA0188', 1, 2, 0, 6, 0 ) 
-#endif
-
-       ELSE
-
-          message_string = 'fft method "' // TRIM( fft_method) // &
-                           '" not available'
-          CALL message( 'fft_y', 'PA0189', 1, 2, 0, 6, 0 )
+#endif
 
        ENDIF
@@ -1512,15 +1490,5 @@
 
           ENDIF
-#else
-          message_string = 'no system-specific fft-call available'
-          CALL message( 'fft_y_1d', 'PA0188', 1, 2, 0, 6, 0 ) 
-
-#endif
-
-       ELSE
-
-          message_string = 'fft method "' // TRIM( fft_method) // &
-                           '" not available'
-          CALL message( 'fft_y_1d', 'PA0189', 1, 2, 0, 6, 0 )
+#endif
 
        ENDIF
@@ -1653,14 +1621,5 @@
 
           DEALLOCATE( work )
-#else
-          message_string = 'no system-specific fft-call available'
-          CALL message( 'fft_x_m', 'PA0188', 1, 2, 0, 6, 0 ) 
-#endif
-
-       ELSE
-
-          message_string = 'fft method "' // TRIM( fft_method) // &
-                           '" not available'
-          CALL message( 'fft_x_m', 'PA0189', 1, 2, 0, 6, 0 )
+#endif
 
        ENDIF
@@ -1795,14 +1754,5 @@
 
           DEALLOCATE( work )
-#else
-          message_string = 'no system-specific fft-call available'
-          CALL message( 'fft_y_m', 'PA0188', 1, 2, 0, 6, 0 ) 
-#endif
-
-       ELSE
-         
-          message_string = 'fft method "' // TRIM( fft_method) // &
-                           '" not available'
-          CALL message( 'fft_y_m', 'PA0189', 1, 2, 0, 6, 0 )
+#endif
 
        ENDIF
Index: palm/trunk/SOURCE/header.f90
===================================================================
--- palm/trunk/SOURCE/header.f90	(revision 3044)
+++ palm/trunk/SOURCE/header.f90	(revision 3045)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Error messages revised
+! 
+! 2967 2018-04-13 11:22:08Z raasch
 ! bugfix: missing parallel cpp-directives added
 ! 
@@ -550,4 +553,8 @@
     ELSEIF ( INDEX( initializing_actions, 'by_user' ) /=0 )  THEN
        run_classification = 'run initialized by user'
+    ELSEIF ( INDEX( initializing_actions, 'initialize_vortex' ) /=0 )  THEN
+       run_classification = 'run additionally initialized by a Rankine-vortex'
+    ELSEIF ( INDEX( initializing_actions, 'initialize_ptanom' ) /=0 )  THEN
+       run_classification = 'run additionally initialized by temperature anomaly'
     ELSE
        message_string = ' unknown action(s): ' // TRIM( initializing_actions )
Index: palm/trunk/SOURCE/init_3d_model.f90
===================================================================
--- palm/trunk/SOURCE/init_3d_model.f90	(revision 3044)
+++ palm/trunk/SOURCE/init_3d_model.f90	(revision 3045)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Error messages revised
+! 
+! 3042 2018-05-25 10:44:37Z schwenkel
 ! Changed the name specific humidity to mixing ratio
 ! 
@@ -2611,5 +2614,5 @@
        WRITE( message_string, * ) 'number of time series quantities exceeds',  &
                                   ' its maximum of dots_max = ', dots_max,     &
-                                  ' &Please increase dots_max in modules.f90.'
+                                  ' Please increase dots_max in modules.f90.'
        CALL message( 'init_3d_model', 'PA0194', 1, 2, 0, 6, 0 )    
     ENDIF
Index: palm/trunk/SOURCE/init_grid.f90
===================================================================
--- palm/trunk/SOURCE/init_grid.f90	(revision 3044)
+++ palm/trunk/SOURCE/init_grid.f90	(revision 3045)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Error messages revised
+! 
+! 2968 2018-04-13 11:52:24Z suehring
 ! Bugfix in initialization in case of elevated model surface. Introduce
 ! index for minimum topography-top. 
@@ -651,7 +654,7 @@
        IF ( nzb_local_min < 0  .OR.  nzb_local_max  > nz + 1 )  THEN
           WRITE( message_string, * ) 'nzb_local values are outside the',       &
-                                'model domain',                                &
-                                '&MINVAL( nzb_local ) = ', nzb_local_min,      &
-                                '&MAXVAL( nzb_local ) = ', nzb_local_max
+                                ' model domain',                               &
+                                ' MINVAL( nzb_local ) = ', nzb_local_min,      &
+                                ' MAXVAL( nzb_local ) = ', nzb_local_max
           CALL message( 'init_grid', 'PA0210', 1, 2, 0, 6, 0 )
        ENDIF
@@ -1497,5 +1500,5 @@
                ( bys < 1 ) .OR. ( byn > ny-1 ) .OR. ( byn < bys+3 ) )  THEN
              WRITE( message_string, * ) 'inconsistent building parameters:',   &
-                                      '& bxl=', bxl, 'bxr=', bxr, 'bys=', bys, &
+                                      ' bxl=', bxl, 'bxr=', bxr, 'bys=', bys,  &
                                       'byn=', byn, 'nx=', nx, 'ny=', ny
              CALL message( 'init_grid', 'PA0203', 1, 2, 0, 6, 0 )
@@ -1589,7 +1592,7 @@
                   ( ch < 3 ) )  THEN
                 WRITE( message_string, * ) 'inconsistent canyon parameters:',  &
-                                           '&cxl=', cxl, 'cxr=', cxr,          &
-                                           'cwx=', cwx,                        &
-                                           'ch=', ch, 'nx=', nx, 'ny=', ny
+                                           ' cxl=', cxl, ' cxr=', cxr,         &
+                                           ' cwx=', cwx,                       &
+                                           ' ch=', ch, ' nx=', nx, ' ny=', ny
                 CALL message( 'init_grid', 'PA0205', 1, 2, 0, 6, 0 ) 
              ENDIF
@@ -1598,7 +1601,7 @@
                   ( ch < 3 ) )  THEN
                 WRITE( message_string, * ) 'inconsistent canyon parameters:',  &
-                                           '&cys=', cys, 'cyn=', cyn,          &
-                                           'cwy=', cwy,                        &
-                                           'ch=', ch, 'nx=', nx, 'ny=', ny
+                                           ' cys=', cys, ' cyn=', cyn,         &
+                                           ' cwy=', cwy,                       &
+                                           ' ch=', ch, ' nx=', nx, ' ny=', ny
                 CALL message( 'init_grid', 'PA0206', 1, 2, 0, 6, 0 ) 
              ENDIF
@@ -1607,6 +1610,6 @@
                canyon_width_y /= 9999999.9_wp )  THEN
              message_string = 'inconsistent canyon parameters:' //             &   
-                              '&street canyon can only be oriented' //         &
-                              '&either in x- or in y-direction'
+                              ' street canyon can only be oriented' //         &
+                              ' either in x- or in y-direction'
              CALL message( 'init_grid', 'PA0207', 1, 2, 0, 6, 0 )
           ENDIF
@@ -1895,12 +1898,13 @@
                TRIM( topography ) /= 'read_from_file')  THEN
 !--          The default value is not applicable here, because it is only valid
-!--          for the two standard cases 'single_building' and 'read_from_file'
+!--          for the four standard cases 'single_building', 
+!--          'single_street_canyon', 'tunnel' and 'read_from_file'
 !--          defined in init_grid.
              WRITE( message_string, * )                                        &
                'The value for "topography_grid_convention" ',                  &
-               'is not set. Its default value is & only valid for ',           &
-               '"topography" = ''single_building'', ',                         &
-               '''single_street_canyon'' & or ''read_from_file''.',            &
-               ' & Choose ''cell_edge'' or ''cell_center''.'
+               'is not set. Its default value is only valid for ',             &
+               '"topography" = ''single_building'', ''tunnel'' ',              &
+               '''single_street_canyon'' or ''read_from_file''.',              &
+               ' Choose ''cell_edge'' or ''cell_center''.'
              CALL message( 'init_grid', 'PA0239', 1, 2, 0, 6, 0 )
           ELSE
@@ -1919,5 +1923,5 @@
           WRITE( message_string, * )                                           &
             'The value for "topography_grid_convention" is ',                  &
-            'not recognized. & Choose ''cell_edge'' or ''cell_center''.'
+            'not recognized. Choose ''cell_edge'' or ''cell_center''.'
           CALL message( 'init_grid', 'PA0240', 1, 2, 0, 6, 0 )
        ENDIF
